package com.qmth.sop.business.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.boot.api.exception.ApiException;
import com.qmth.sop.business.bean.result.SysDingGroupResult;
import com.qmth.sop.business.entity.SysDingGroup;
import com.qmth.sop.business.entity.SysUser;
import com.qmth.sop.business.mapper.SysDingGroupMapper;
import com.qmth.sop.business.service.SysDingGroupService;
import com.qmth.sop.common.contant.SystemConstant;
import com.qmth.sop.common.util.ResultUtil;
import com.qmth.sop.common.util.ServletUtil;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import javax.annotation.Resource;
import java.util.HashMap;
import java.util.Map;
import java.util.Objects;

/**
 * 考勤组表 服务实现.
 *
 * @author: shudonghui
 * @date: 2023-08-02 14:21:11
 * @version: 1.0
 * @email: shudonghui@qmth.com.cn
 * @Company: www.qmth.com.cn
 */
@Service
public class SysDingGroupServiceImpl extends ServiceImpl<SysDingGroupMapper, SysDingGroup> implements SysDingGroupService{


		/**
		* 查询列表
		*
		* @param iPage
		* @return
		*/
		@Override
		public IPage<SysDingGroupResult> query(IPage<Map> iPage, String query, long serviceId) {
				return this.baseMapper.query(iPage, query,serviceId);
		}
		/**
		* 新增考勤组表
		*
		* @param sysDingGroup
		*/
		@Override
		@Transactional
		public void add(SysDingGroup sysDingGroup) {
			SysUser sysUser = (SysUser) ServletUtil.getRequestUser();
			sysDingGroup.setCreateId(sysUser.getId());
			sysDingGroup.setCreateTime(System.currentTimeMillis());
			this.saveOrUpdate(sysDingGroup);
		}

		/**
		* 修改考勤组表
		*
		* @param sysDingGroup
		*/
		@Override
		@Transactional
		public void update(SysDingGroup sysDingGroup) {
			SysUser sysUser = (SysUser) ServletUtil.getRequestUser();
			sysDingGroup.setCreateId(sysUser.getId());
			sysDingGroup.setUpdateTime(System.currentTimeMillis());
			this.saveOrUpdate(sysDingGroup);
		}

		/**
		* 删除考勤组表
		*
		* @param id
		*/
		@Override
		@Transactional
		public void delete(Long id) {
			this.removeById(id);
		}

}